# Generated by Django 4.2 on 2023-04-30 12:13

from django.db import migrations, models
import django.db.models.deletion
import django_bleach.models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='ContentMixin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='MetadataMixin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(blank=True, max_length=512)),
                ('uploaded_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='FileData',
            fields=[
                ('metadatamixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='drf_cms.metadatamixin')),
                ('file', models.FileField(upload_to='')),
            ],
            bases=('drf_cms.metadatamixin',),
        ),
        migrations.CreateModel(
            name='ImageData',
            fields=[
                ('metadatamixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='drf_cms.metadatamixin')),
                ('file', models.ImageField(height_field='height', upload_to='', width_field='width')),
                ('height', models.PositiveIntegerField(default=0)),
                ('width', models.PositiveIntegerField(default=0)),
            ],
            bases=('drf_cms.metadatamixin',),
        ),
        migrations.CreateModel(
            name='Text',
            fields=[
                ('contentmixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='drf_cms.contentmixin')),
                ('content', django_bleach.models.BleachField()),
                ('content_en', django_bleach.models.BleachField(null=True)),
                ('content_es', django_bleach.models.BleachField(null=True)),
            ],
            bases=('drf_cms.contentmixin',),
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=64)),
                ('title', models.CharField(max_length=128)),
                ('title_en', models.CharField(max_length=128, null=True)),
                ('title_es', models.CharField(max_length=128, null=True)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('description_en', models.CharField(blank=True, max_length=256, null=True)),
                ('description_es', models.CharField(blank=True, max_length=256, null=True)),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'unique_together': {('site', 'key')},
            },
        ),
        migrations.AddField(
            model_name='contentmixin',
            name='page',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drf_cms.page'),
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('contentmixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='drf_cms.contentmixin')),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='drf_cms.imagedata')),
            ],
            bases=('drf_cms.contentmixin',),
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('contentmixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='drf_cms.contentmixin')),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='file_data', to='drf_cms.filedata')),
            ],
            bases=('drf_cms.contentmixin',),
        ),
        migrations.AlterUniqueTogether(
            name='contentmixin',
            unique_together={('page', 'key')},
        ),
    ]
